Ubuntu

Suspend to RAM fails due to tpm_tis kernel module (regression)

Reported by Michael Doube on 2010-07-05
72
This bug affects 12 people
Affects Status Importance Assigned to Milestone
Linux
In Progress
Medium
linux (Fedora)
Unknown
Unknown
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Suspend reliably fails with this kernel version, which I think came through on proposed a few days ago. The computer appears to go through the normal steps but doesn't power down. Hard power-off is required - there is no automatic recovery of the failed suspend.

According to the developers, tpm_tis is supposed to work with all 1.2 TPMs, complying with the TIS specification (that determines how the 1.2 TPMs should interface with PC platforms), so it looks like a bug in this kernel module.

The tpm developers are aware of this bug, so further investigation should be discussed here, on the tpmdd-devel mailing list and the kernel mailing list.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-23-generic 2.6.32-23.37
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-23.37-generic 2.6.32.15+drm33.5
Uname: Linux 2.6.32-23-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mdoube 2533 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc500000 irq 21'
   Mixer name : 'SigmaTel STAC9872AK'
   Components : 'HDA:83847662,104d1e00,00100201 HDA:14f12c06,104d1700,00100000'
   Controls : 11
   Simple ctrls : 7
Date: Mon Jul 5 22:38:17 2010
HibernationDevice: RESUME=UUID=a017c7e4-4a29-4ba1-bfea-52cd609781d8
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100412)
MachineType: Sony Corporation VGN-SZ650N
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-23-generic root=UUID=31cf7381-5708-4104-8d9e-a2eaaec7cbe7 ro quiet splash
ProcEnviron:
 LANG=en_GB.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.34.1
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
dmi.bios.date: 04/04/2008
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: R0122S5
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrR0122S5:bd04/04/2008:svnSonyCorporation:pnVGN-SZ650N:pvrJ002UR2M:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VGN-SZ650N
dmi.product.version: J002UR2M
dmi.sys.vendor: Sony Corporation
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mdoube 2541 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc500000 irq 21'
   Mixer name : 'SigmaTel STAC9872AK'
   Components : 'HDA:83847662,104d1e00,00100201 HDA:14f12c06,104d1700,00100000'
   Controls : 11
   Simple ctrls : 7
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=a017c7e4-4a29-4ba1-bfea-52cd609781d8
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100412)
MachineType: Sony Corporation VGN-SZ650N
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-24-generic root=UUID=31cf7381-5708-4104-8d9e-a2eaaec7cbe7 ro quiet splash
ProcEnviron:
 LANG=en_GB.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-24.38-generic 2.6.32.15+drm33.5
Regression: Yes
RelatedPackageVersions: linux-firmware 1.34.1
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: lucid suspend resume regression-release needs-upstream-testing
Uname: Linux 2.6.32-24-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 04/04/2008
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: R0122S5
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrR0122S5:bd04/04/2008:svnSonyCorporation:pnVGN-SZ650N:pvrJ002UR2M:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VGN-SZ650N
dmi.product.version: J002UR2M
dmi.sys.vendor: Sony Corporation

---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mdoube 2545 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc500000 irq 21'
   Mixer name : 'SigmaTel STAC9872AK'
   Components : 'HDA:83847662,104d1e00,00100201 HDA:14f12c06,104d1700,00100000'
   Controls : 11
   Simple ctrls : 7
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=a017c7e4-4a29-4ba1-bfea-52cd609781d8
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100412)
MachineType: Sony Corporation VGN-SZ650N
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-24-generic root=UUID=31cf7381-5708-4104-8d9e-a2eaaec7cbe7 ro quiet splash
ProcEnviron:
 LANG=en_GB.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-24.39-generic 2.6.32.15+drm33.5
Regression: Yes
RelatedPackageVersions: linux-firmware 1.34.1
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: lucid suspend resume regression-update needs-upstream-testing
Uname: Linux 2.6.32-24-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 04/04/2008
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: R0122S5
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrR0122S5:bd04/04/2008:svnSonyCorporation:pnVGN-SZ650N:pvrJ002UR2M:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VGN-SZ650N
dmi.product.version: J002UR2M
dmi.sys.vendor: Sony Corporation

---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mdoube 2527 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc500000 irq 21'
   Mixer name : 'SigmaTel STAC9872AK'
   Components : 'HDA:83847662,104d1e00,00100201 HDA:14f12c06,104d1700,00100000'
   Controls : 11
   Simple ctrls : 7
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=a017c7e4-4a29-4ba1-bfea-52cd609781d8
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100412)
MachineType: Sony Corporation VGN-SZ650N
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-24-generic root=UUID=31cf7381-5708-4104-8d9e-a2eaaec7cbe7 ro quiet splash
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_GB.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-24.41-generic 2.6.32.15+drm33.5
Regression: Yes
RelatedPackageVersions: linux-firmware 1.34.1
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: lucid suspend resume regression-release needs-upstream-testing
Uname: Linux 2.6.32-24-generic x86_64
UserGroups:

dmi.bios.date: 04/04/2008
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: R0122S5
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrR0122S5:bd04/04/2008:svnSonyCorporation:pnVGN-SZ650N:pvrJ002UR2M:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VGN-SZ650N
dmi.product.version: J002UR2M
dmi.sys.vendor: Sony Corporation

---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mdoube 2561 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc500000 irq 21'
   Mixer name : 'SigmaTel STAC9872AK'
   Components : 'HDA:83847662,104d1e00,00100201 HDA:14f12c06,104d1700,00100000'
   Controls : 11
   Simple ctrls : 7
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=a017c7e4-4a29-4ba1-bfea-52cd609781d8
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100412)
MachineType: Sony Corporation VGN-SZ650N
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-24-generic root=UUID=31cf7381-5708-4104-8d9e-a2eaaec7cbe7 ro quiet splash
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_GB.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
Regression: Yes
RelatedPackageVersions: linux-firmware 1.34.1
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: lucid suspend resume regression-update needs-upstream-testing
Uname: Linux 2.6.32-24-generic x86_64
UserGroups:

dmi.bios.date: 04/04/2008
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: R0122S5
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrR0122S5:bd04/04/2008:svnSonyCorporation:pnVGN-SZ650N:pvrJ002UR2M:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VGN-SZ650N
dmi.product.version: J002UR2M
dmi.sys.vendor: Sony Corporation

Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :

This bug is still present in today's kernel update, numbered -24

Linux doris 2.6.32-24-generic #38-Ubuntu SMP Mon Jul 5 09:20:59 UTC 2010 x86_64 GNU/Linux

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

This bug is still present in today's kernel update
mdoube@doris:~$ uname -a
Linux doris 2.6.32-24-generic #39-Ubuntu SMP Wed Jul 28 05:14:15 UTC 2010 x86_64 GNU/Linux

Michael Doube (michael-doube) wrote :

This bug is still present in today's kernel update
mdoube@doris:~$ uname -a
Linux doris 2.6.32-24-generic #41-Ubuntu SMP Thu Aug 19 01:38:40 UTC 2010 x86_64 GNU/Linux

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

summary: - Suspend to RAM fails on this kernel version (regression)
+ Suspend to RAM waits two minutes before powering down (regression)

Linux doris 2.6.32-24-generic #43-Ubuntu SMP Thu Sep 16 14:58:24 UTC 2010 x86_64 GNU/Linux

Still shows this bug, but can suspend if you are willing to wait 2 minutes for power down to occur.

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Michael Doube (michael-doube) wrote :

This is getting lamer. Or more lame. Yesterday's kernel update now waits 2 minutes to power down, and another 2 minutes to power up and become responsive to touchpad input.

Linux doris 2.6.32-25-generic #44-Ubuntu SMP Fri Sep 17 20:05:27 UTC 2010 x86_64 GNU/Linux

summary: - Suspend to RAM waits two minutes before powering down (regression)
+ Suspend to RAM waits two minutes before powering down and powering up
+ (regression)
Michael Doube (michael-doube) wrote :

Just tested a kernel from Linus' git repo and it fails to suspend, then becomes responsive after a two minute wait, letting me log in and carry on.

Michael Doube (michael-doube) wrote :

Complied a debugging kernel which seems to implicate pulseaudio (process 1730) and a dead canary. Suspend was initiated 2 minutes earlier, and this is the first message on automatic resume.

From daemon.log:
Oct 12 11:05:10 doris rtkit-daemon[1529]: The canary thread is apparently starving. Taking action.
Oct 12 11:05:10 doris rtkit-daemon[1529]: Demoting known real-time threads.
Oct 12 11:05:10 doris rtkit-daemon[1529]: Successfully demoted thread 1751 of process 1730 (n/a).
Oct 12 11:05:10 doris rtkit-daemon[1529]: Successfully demoted thread 1747 of process 1730 (n/a).
Oct 12 11:05:10 doris rtkit-daemon[1529]: Successfully demoted thread 1730 of process 1730 (n/a).
Oct 12 11:05:10 doris rtkit-daemon[1529]: Demoted 3 threads.
Oct 12 11:05:10 doris acpid: client 1206[0:0] has disconnected
Oct 12 11:05:10 doris acpid: client connected from 1206[0:0]
Oct 12 11:05:10 doris acpid: 1 client rule loaded

Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :

Like https://bugzilla.kernel.org/show_bug.cgi?id=16256, if I rmmod tpm_tis prior to suspending, suspend works fine

summary: - Suspend to RAM waits two minutes before powering down and powering up
- (regression)
+ Suspend to RAM fails due to wrong tpm module being loaded (regression)
description: updated
summary: - Suspend to RAM fails due to wrong tpm module being loaded (regression)
+ Suspend to RAM fails due to tpm_kis kernel module (regression)
description: updated
summary: - Suspend to RAM fails due to tpm_kis kernel module (regression)
+ Suspend to RAM fails due to tpm_tis kernel module (regression)
Brad Figg (brad-figg) on 2010-12-03
tags: added: acpi-apic
tags: added: acpi-method-return
Loïc Minier (lool) wrote :

I'm running Ubuntu natty on a X301, and this consistenly and quickly fails for me; I see this in dmesg:
[ 3105.290150] PM: Entering mem sleep
[ 3105.290262] Suspending console(s) (use no_console_suspend to debug)
[ 3105.291236] sd 0:0:0:0: [sda] Synchronizing SCSI cache
[ 3105.293304] sd 0:0:0:0: [sda] Stopping disk
[ 3105.340115] tpm_tis 00:0a: tpm_transmit: tpm_send: error -5
[ 3105.340124] legacy_suspend(): pnp_bus_suspend+0x0/0xa0 returns -5
[ 3105.340130] PM: Device 00:0a failed to suspend: error -5
[ 3105.410093] PM: suspend of drv:usb dev:2-3 complete after 118.970 msecs
[ 3105.413289] PM: suspend of drv:sd dev:0:0:0:0 complete after 122.059 msecs
[ 3105.413357] PM: Some devices failed to suspend

once I modprobe -r tpm_tis, I can suspend / resume fine.

The referenced upstream bug mentions commit 59f6fbe4291fcc078ba26ce4edf8373a7620a13a as fixing this, which is definitely in the natty kernel I'm running, so i guess it's another issue, I'll remove the upstream bug link.

Changed in linux:
importance: Unknown → Undecided
status: Unknown → New
Loïc Minier (lool) wrote :

bug #413519 mentions a timeout and has a patch to use msecs_to_jiffies() instead of usecs_to_jiffies(), but I didn't try it out; would anybody be able to do so?

Loïc Minier (lool) wrote :

NB: I'm using 2.6.37-7-generic and didn't have the issue with Ubuntu 10.10's kernel, 2.6.35.22.23

Michael Doube (michael-doube) wrote :

This upstream bug does not reference the commit that Loic mentions, and is the primary reference for this bug.

Changed in linux:
importance: Undecided → Unknown
status: New → Unknown
description: updated
Loïc Minier (lool) wrote :

For some reason, there were two bug watches to bugzilla.k.o when I updated the bug; the one which is currently set (#20132) looks good indeed, thanks!

Loïc Minier (lool) wrote :

(In fact, the two bug watches are still displayed when expanding the linux task, but the right one is now selected)

Changed in linux:
status: Unknown → In Progress
Changed in linux (Ubuntu):
status: New → Triaged
Roberto Tyley (roberto-tyley) wrote :

My Ubuntu 10.10 Thinkpad X200 (2.6.35-25-generic-pae #44-Ubuntu SMP) reliably fails to suspend - it'll got through the motions, but immediately resume, leaving the laptop smoking nicely in my bag. dmesg shows:

-----
[ 1280.840100] PM: Entering mem sleep
[ 1280.840162] Suspending console(s) (use no_console_suspend to debug)
[ 1280.856851] sd 0:0:0:0: [sda] Synchronizing SCSI cache
[ 1280.856944] sd 0:0:0:0: [sda] Stopping disk
[ 1280.884099] tpm_tis 00:0a: tpm_transmit: tpm_send: error 4294967291
[ 1280.884108] legacy_suspend(): pnp_bus_suspend+0x0/0x70 returns -5
[ 1280.884113] PM: Device 00:0a failed to suspend: error -5
[ 1281.281616] PM: suspend of drv:sd dev:0:0:0:0 complete after 424.770 msecs
[ 1281.281644] PM: suspend of drv:scsi dev:target0:0:0 complete after 424.794 msecs
[ 1281.281657] PM: suspend of drv:scsi dev:host0 complete after 424.648 msecs
[ 1281.281669] PM: Some devices failed to suspend
[ 1281.282054] sd 0:0:0:0: [sda] Starting disk
[ 1281.428052] PM: resume of drv:usb dev:usb1 complete after 146.350 msecs
----

I followed the suggestion in bug 657386 (a duplicate of this one) to successfully fix it :

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/657386/comments/3

ie creating '/etc/pm/config.d/unload_module' and adding SUSPEND_MODULES="tpm_tis"

Roberto

Michael Doube (michael-doube) wrote :

Roberto,

Could you please check out the upstream bug report https://bugzilla.kernel.org/show_bug.cgi?id=20132 and the thread on the tpmdd-devel list http://linux.derkeiler.com/Mailing-Lists/Kernel/2010-11/msg12474.html

The X200's have a similar but not quite same bug as Vaios

Puke (puke) wrote :

This bug affects me also - Lenovo Thinkpad X301 2.6.35-25-generic. I didn't seem to have this problem with 2.6.35-24-generic or any previous releases. The above fix works, I can reproduce at will if any further diagnostic information is required.

Changed in linux:
importance: Unknown → Medium
Andy Whitcroft (apw) wrote :

The fix for this is very likely the commit below, could those of you affected by this test the kernel in -proposed which should include it. This is very likely a duplicate of Bug #705845:

  commit 123c6a0ede60b268266c3cce0c341f6427bc7044
  Author: Olof Johansson <email address hidden>
  Date: Fri Jan 28 14:12:22 2011 +0000

    tpm: fix panic caused by "tpm: Autodetect itpm devices"

    commit 3f0d3d016d89a5efb8b926d4707eb21fa13f3d27 adds a check for
    PNP device id to the common tpm_tis_init() function, which in some
    cases (force=1) will be called without the device being a member of
    a pnp_dev. Oopsing and panics ensue.

    Move the test up to before the call to tpm_tis_init(), since it
    just modifies a global variable anyway.

    Signed-off-by: Olof Johansson <email address hidden>
    Acked-by: Rajiv Andrade <email address hidden>
    Signed-off-by: James Morris <email address hidden>

    BugLink: http://bugs.launchpad.net/bugs/705845
    Signed-off-by: Andy Whitcroft <email address hidden>
    Signed-off-by: Steve Conklin <email address hidden>

tags: added: regression-update
removed: regression-proposed
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Andrea Bocci (fwyzard) wrote :

Hi Andy,
I have "2.6.35-26-generic #46-Ubuntu" (from linux-image-2.6.35-26-generic 2.6.35-26.46).
Is that recent enough for the test ?

.Andrea

Brian Murray (brian-murray) wrote :

fwyzard - yes it is.

Andrea Bocci (fwyzard) wrote :

Hi,
I've tried the suspend to ram with "2.6.35-26-generic #46-Ubuntu", after commenting out the entry I usually have in /etc/pm/config.d/unload_module .

Unfortunately, it still hangs instead of suspending properly.

Let me know if you need more info.
.Andrea

I have IBM Lenovo R400 and Ubuntu 10.10 with all updates and kernel 2.6.35-25-generic #44-Ubuntu SMP Fri Jan 21 17:40:48 UTC 2011 i686 GNU/Linux

Sunspend does work, if I make :
rmmod tpm_tis
acpitool -S

But on another Lenovo T410i with Ubuntu 10.10, but special kernel Linux sea-star 2.6.35-23-generic-pae #41-Ubuntu SMP Wed Nov 24 10:35:46 UTC 2010 i686 GNU/Linux (because of 6 GB RAM), suspend work good from acpitool -S.

Michael Doube (michael-doube) wrote :

Andy, as far as I'm aware, this bug is not fixed upstream (Linus mainline v2.6.37) so I see no reason that pulling this commit will fix it downstream.

Unfortunately my TPM died completely so I'm unable to test on my machine (a Sony Vaio with Infineon TPM) and am relying on others to do further testing for this bug.

Anduu (anduu) wrote :

I am running Ubuntu Natty 11.04 on kernel 2.6.38-8-generic.

This bug exists for me and has since kernels > 2.32.

I am baffled as to why this hasn't been fixed yet.

> I am baffled as to why this hasn't been fixed yet.
It hasn't been dealt with upstream.
https://bugzilla.kernel.org/show_bug.cgi?id=20132

Your assistance there is needed if you would like this bug to be fixed.
You can help by testing development versions and providing debug output
to the developers. At the very least, please log a 'me too' report.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.